TransMac Help

TransMac
Copyright © 2016 Paul E. Thomson

Thank you for choosing TransMac, the best way to access Mac disks and disk images from a Windows PC.

System Requirements: Any version of Windows 10, 8, 7, Vista or XP.

Features:

  • Open Mac format disk drives, flash drives, CD/DVD/Blu-ray media, floppy diskette, dmg, dmgpart, sparseimage and sparsebundle files.
  • Copy files to Mac disks and dmg images.
  • Format for Mac and restore disks and flash drives.
  • Create, compress, expand, split and merge dmg files.
  • Built in media burner functionality to burn ISO and dmg files directly to CD/DVD/Blu-Ray.
  • Read Mac multi session and hybrid CDs.
  • Check partition layout for disks.
    • Quick Start Guide

    WARNING: After attaching a Mac format disk drive, Windows may display a window offering to format it. DO NOT SELECT FORMAT!
    Windows does this bacause it does not recognize Mac format disks. Just cancel that window without formatting and run TransMac.
    Click the drive in the left pane of the TransMac window. You can then browse the drive and copy files from within TransMac.

    Below are instructions for performing some common operations in TransMac.

    Navigation Tips:

  • TransMac works like File Explorer. Select disks, disk images and folders in the treeview pane on the left. Contents of the selected treeview item are displayed in the listview pane on the right. Most operations can be performed with the right-click context menus.

    • Treeview navigation:

    • Right click on treeview items or in an open area to display a pop-up menu of valid operations.
    • Use up and down arrow keys to traverse the folder tree.
    • If a drive has been added since TransMac was run, right-click in an open area and select "Refresh Drive List".
    • Check the format of a disk by right-clicking and selecting "Properties". The partion layout and type of volume will be displayed with other info.
    Listview navigation:
    • Right click on listview items or in an open area to display a pop-up menu of valid operations.
    • Press letter keys repeatedly to cycle through items starting with that letter.
    • Press Ctrl-A to select all items in a list box.
    • Select a group of items by clicking on the first item, scrolling to the last item, then holding down the "Shift" key while clicking on the last item.
    • Select non-consecutive individual items by holding the "Ctrl" key while clicking on them.
    Copying files from a Mac volume to the PC:
  • Select a drive in the treeview pane and click on a Mac volume.
  • Browse the Mac volume for the files to be copied.
  • Drag them from the listview pane to a File Explorer window or other drop target. (An alternate way is to right-click the items in the listview pane and select "Copy to")
  • NOTE: For copying large files it is best to use the "Copy to" method instead of drag and drop since it does not copy to a temp folder first.
    • Copying files from the PC to a Mac volume:
  • Select a drive in the treeview pane and click on a Mac volume.
  • Browse to where files are to be copied.
  • Drag files from a File Explorer window or other drag source to the listview pane. (An alternate way is to right-click an open area in the listview pane and select "Copy here")
    • Creating a folder on a Mac volume:
  • Open a volume and browse to where the new folder is to be created.
  • Right-click an open area in the listview pane and select "New Folder". (An alternate way is to press the [image] button)
  • Enter the name of the folder and press OK.
    • Deleting files/folders on a Mac volume:
  • Open a volume and browse until files/folders to be deleted are shown in listview pane.
  • Right-click and select "Delete". (An alternate way is to press the [image] button)
  • CAUTION: Deleting a folder will delete all sub folders inside it as well.
    • Renaming files on a Mac volume:
  • Open a volume and browse until files/folders to be renamed are shown in listview pane.
  • Right-click and select "Rename". (An alternate way is to select the file/folder then click the name in the listview)
  • Edit the name in place then press Enter or click outside the name. Press escape (Esc) to cancel and revert to the original name.
    • Previewing files on a Mac volume:
  • Open a volume and browse for the file to preview in the listview.
  • Double-click the item to preview. (An alternate way is to right-click and select "Open")
  • The file will be opened using the PC application associated with the file type or extension.
  • To open a file in notepad, right-click and select "Open as Text".
  • To open with a different application, right-click and select "Open with". You will be prompted to select an application.
  • NOTE: When opening a file from a Mac disk, TransMac copies it to a temporary folder on the PC. Any changes to the file will NOT be written to the Mac disk.
    • Opening a disk image:
  • By default the TransMac installation program associates Mac disk image files (.dmg and .sparseimage extensions) with TransMac so double-clicking those files should open them in TransMac.
  • To explicitly open disk images with other extensions select "Open Disk Image" from the file menu or right-click an open area of the treeview pane and select "Open Disk Image".
  • The disk image file should now show up in the treeview pane. Clicking the file should open it if it contains a valid Mac volume.
    • Creating a disk image:
  • Select "New Disk Image" from the file menu or right-click an open area of the treeview pane and select "New Disk Image".
  • Enter the desired volume label.
  • Enter a volume size in megabytes.
  • Press OK and you will be prompted to browse for the destination folder and file name.
    • Compressing an uncompressed .dmg disk image:
  • Right-click the dmg file in the treeview pane and select "Compress".
  • Enter the destination file name in the "Save As" dialog.
    • Expanding (convert to iso) a compressed .dmg disk image:
  • Right-click the dmg file in the treeview pane and select "Expand".
  • Enter the destination file name in the "Save As" dialog.
    • Splitting a compressed .dmg disk image:
  • Right-click the dmg file in the treeview pane and select "Split". Note: Only compressed dmg files can be split.
  • Enter the number of segments.
  • You will be prompted for the destination file name. The first file has a .dmg extension. The other files have the extension .NNN.dmgpart where NNN is a sequence number (002, 003, 004, etc.).
    • Formatting a disk for the Mac:
  • Right-click a drive in the treeview pane and select "Format Disk for Mac".
  • You may be prompted to restart TransMac as administrator.
  • Enter the desired volume label and press OK.
  • CAUTION: Make sure you want to format the disk. Any existing data on the disk will be destroyed.
    • Formatting a disk with a disk image:
  • Right-click a drive in the treeview pane and select "Restore with Disk Image".
  • Press the "..." button to browse for the disk image to be written. Valid compressed dmg files will automatically be uncompressed as they are written.
  • CAUTION: Make sure you really want to over write the disk. Any existing data on the disk will be destroyed.
    • Saving an image of a disk:
  • Right-click a drive in the treeview pane and select "Save Image of Disk".
  • Select the location for the saved image file.
    • Burning a .dmg file to CD or DVD:
  • Select "Burn CD/DVD" from the "Tools" menu or right-click the .dmg image in the treeview and select "Burn to CD/DVD".
  • Select the burn drive.
  • Press the "..." button to browse for the dmg file to be burned.
  • Click OK to start the burn process.
    • Burning an ISO image to CD or DVD:
  • Since TransMac has an internal burning functionality, it can burn any ISO or CD/DVD image file.
  • Select "Burn CD/DVD" from the "Tools" menu.
  • Select the burn drive.
  • Press the "..." button to browse for the ISO file to be burned.
  • Click OK to start the burn process.
    • Creating a Mac CD or DVD:
  • Follow the directions for "Creating a disk image" above. Be sure to select dmg for the image type.
  • You can save burn time by creating a smaller volume, but it can not be enlarged once it is created. The volume size should not be greater than the capacity of the target media. A CD-R has a limit of about 650-700 MB. A DVD-R has a limit around 4.7GB. To use the full capacity of the media select the drive in the "Get size from CD media" box to read the size from inserted media.
  • Open the disk image and copy the files and folders you want on to be on the CD.
  • Right-click the dmg in the treeview pane and select "Burn to CD/DVD". (An alternate way is to select "Burn CD/DVD" from the "Tools" menu)
  • Select the burn drive.
  • Press the "..." button to browse for the dmg file to be burned.
  • Click OK to start the burn process.
  • NOTE: If TransMac's CD burning capabilities are not working with your drive, try selecting Use alternate burning method in the Tools/Settings menu under the DVD/CD Burning tab.
    • Erasing a rewritable CD or DVD:
  • Select "Erase CD/DVD" from the "Tools" menu.
  • Select the burn drive.
  • Click OK to start the erase process.
    • Settings

    General Tab:

    • Show Hidden Files - Displays files marked as hidden which normally do not show up on a Mac.
    • Preserve File Dates - Restores original file dates after copy.
    • Allow long paths for Copy to PC - Recent versions of the Windows OS support very long path names but programs that use older APIs may not. This option allows longer paths for files copied from Mac disks. Be aware that other programs may have problems dealing with files copied using this option.
    • Automatically assign PC file name extension from Type Map - Use Mac file type and creator to assign file name extension for Mac to PC copy.
    • Automatically assign Mac type and creator from Type Map - Use PC file name extension to assign type and creator for PC to Mac copy. (Recent Mac OS X versions have moved toward using file name extensions rather than a type and creator for identifying file types.)

    Disk Drives Tab:

    • Mac Volumes on Internal Drives - Select how to handle internal fixed drives

    CD/DVD Burning Tab:

    • Use alternate burning method - If selected uses secondary burning method. Try this if you have problems burning CD/DVD. Note: If this option is selected you must expand compressed dmg files before burning.
    • Use slowest burn speed - Using a slower speed may create a more reliable burn. If this option is not selected the default (fastest) speed for the inserted media will be used.
    • Verify - Use quick verify while burning. Note: Selecting this may slow burn speed.
    • Eject after burn - Automatically eject media after burn or erase.

    Disk Images

    Mac disk image files are just file systems written to a file instead of to a raw disk. The Mac can mount them so they appear just like a disk drive. There are several different types each with different options. Below are descriptions of the types TransMac supports:
  • dmg: Files with a .dmg extension are commonly used to transfer data or software installation packages. They can be compressed to save space or uncompressed to allow writing.
  • dmgpart: Files with a .dmgpart extension are simply dmg files that are split into segments for easy copying. The first file has a .dmg extension. The other files have the extension .NNN.dmgpart where NNN is a sequence number (002, 003, 004, etc.).
  • sparseimage: Files with a "sparseimage" extension leave out unused blocks of the volume to save space. They start out small but grow as data is added. Sparse image files are read/write. They have no internal compression, but shrink well using external compression like zip.

    • Troubleshooting Guide

    Symptom: Drag/drop copying from Mac to PC is slow or seems to copy twice.
    Symptom: When copying from Mac to PC, the destination disk runs out of space even if there is room.
    Problem: Windows drag/drop interface copies files to a temporary folder on the boot drive before moving to the destination disk.
    Solution: Instead of drag and drop, use the right-click context menu "Copy to". This will copy directly to the destination disk.

    Symptom: Get error message while or after burning disk image to DVD.
    Problem: If image is a compressed dmg, it could be corrupt.
    Solution: Try expanding dmg to verify integrity.
    Problem: DVD failed verification.
    Solution1: Try selecting "Use slowest burn speed" in Options/General Settings.
    Solution2: Try different media or drive.

    Symptom: The message "No Mac HFS volumes found" appears when selecting a Mac disk.
    Problem: The disk is not Mac HFS or HFS+ formatted.
    Solution: TransMac can only read Mac HFSX, HFS+ and (Old) Standard HFS format disks. Right-click the drive and select "Properties" to see the partion layout and type of volume.

    Symptom: An error message appears while copying files.
    Problem: Windows has a legacy file path size limit of 255 characters.
    Solution1: Rename folders with smaller names or copy inner folders separately so they fit within path limit.
    Solution2: Select the "Allow long paths for Copy to PC" checkbox in the Settings dialog. This setting may cause problems with lagacy Windows programs that don't support long paths.
    Problem: File is too large for the target file system.
    Solution: Make sure file is less than 2GB for PC FAT16 file system and less than 4GB for PC FAT32.
    Problem: Disk has bad sectors.
    Solution: Use a different disk, reformat disk or fix disk by running a check for bad sectors on a Mac.

    Symptom: An error message appears when trying to write to a disk.
    Problem: The disk is write protected or read only.
    Solution: For hardware write protect, turn protect switch off.
    Problem: Disk has bad sectors.
    Solution: Use a different disk, reformat disk or fix disk by running a check for bad sectors on a Mac.

    Symptom: An error message appears when formatting a disk.
    Problem: The disk is write protected
    Solution: For hardware write protect, turn protect switch off.
    Problem: Disk has bad sectors.
    Solution: Use a different disk, reformat disk or fix disk by running a check for bad sectors on a Mac.

    Symptom: A file copied from a PC is not recognized on the Mac.
    Problem: The file may have the wrong type, creator or extension.
    Solution: You can change the type and creator from TransMac by double clicking the file in the Mac window. You can also change the file type map so that the correct type and creator are assigned automatically based on the file name extension. If the file has already been copied to a Mac, there are Mac programs for changing the type and creator.
    Problem: The Mac does not have an application installed that can open the file type.
    Solution: Some file types are the same on both machines (jpg, gif, mp3, etc). Some files can be opened with the same application on the opposite platform. For example a file created on a Mac with Quark can usually be opened on a PC if it has the PC version of Quark installed. For some files there is no application that will open them on the other machine. Since there are thousands of different types of files, we usually can not advise as to whether a particular type of Mac file will be of use on a PC or vice versa. You can either test it out for your particular situation or contact the maker of the application that created the file to get cross platform information.

    Symptom: A file copied from a Mac is not recognized on the PC.
    Problem: The file may have the wrong file name extension.
    Solution: You can change the extension manually by renaming the file. You can also change the file type map so that the correct extension is assigned automatically based on the Mac type and creator.
    Problem: The PC does not have an application installed that can open the file type.
    Solution: Some file types are the same on both machines (jpg, gif, mp3, etc). Some files can be opened with the same application on the opposite platform. For example a file created on a Mac with Quark can usually be opened on a PC if it has the PC version of Quark installed. For some files there is no application that will open them on the other machine. Since there are thousands of different types of files, we usually can not advise as to whether a particular type of Mac file will be of use on a PC or vice versa. You can either test it out for your particular situation or contact the maker of the application that created the file to get cross platform information.

    Symptom: Files are corrupt after copy.
    Problem: The file system on the disk is corrupt.
    Solution: Use a disk checking utility (on a Mac), or reformat the disk (if there is no needed data on it).

    TransMac Under Win10/8/7/Vista

    Due to extra security (UAC) in Windows 10/8/7/Vista, users may not be able to access disks without elevating privileges. TransMac will prompt to restart itself when this is necessary or it can be done ahead of time as shown below.

    To run TransMac once as administrator, right-click on the TransMac shortcut or icon and select "Run as administrator".

    To always run TransMac as administrator, right-click on the TransMac shortcut or icon and select "Properties".

    Then tick "Run this program as an administrator" under the "Compatibility" tab

    Home: www.acutesystems.com     		This software and any support from Acute Systems are provided "as is" and without warranty, express or implied. Acute Systems specifically disclaims any implied warranties of merchantability and fitness for a particular purpose. In no event will Acute Systems be liable for any damages, including but not limited to any lost profits, lost savings or any incidental or consequential damages, whether resulting from impaired or lost data, software or computer failure or any other cause, or for any other claim by user or for any third party claim. CrossFont, TransMac and PCDmg are trademarks of Acute Systems. Product and company names mentioned herein may be the trademarks of their respective owners.